## class ERView : public ShapeView

> entity-relationship viewer class.

## Inheritance:

### Public Methods

  | ERView (ERViewer *v)
  void | PutValueTypesTemp ()
  void | GetValueTypesTemp ()
  void | GetNotIsaTemp ()
  void | PutNotIsaTemp ()

### Inherited from ShapeView:

### Public Methods

int GetClassType() const
bool IsView() const
void Draw()
void Undraw()
void SetGrafport(Grafport *g)
Node* GetParent() const
void SetParent(Node *n)
const string* GetIndex() const
void SetIndex(string *s)
unsigned NrOfShapes() const
List <GShape *> * GetShapes() const
List <GShape *> * GetSelection() const
bool HasShape(GShape *s)
void Snap(Point *p)
int Snap(int i)
DiagramViewer* GetViewer() const
void WriteShapes(OutputFile *f)
bool ReadMembers(InputFile *f, double format)
bool SetReferences(AssocList *)
bool CheckReferences()
void CheckShapes()
unsigned NrSelected() const
GShape* FirstSelected() const
void DeselectAll()
virtual void SelectShape(GShape *shape)
virtual void FirstSelectShape(GShape *shape)
void DeselectShape(GShape *shape)
GShape* HitShape(int x, int y)
NodeShape* HitNodeShape(int x, int y)
Line* HitLine(int x, int y, int &whichsegment)
Line* HitLineHandle(int x, int y, int &which)
TextShape* HitTextShape(int x, int y, bool emptyallowed=True)
int GetCurrentShapeNr() const
void SetCurrentShapeNr(int i)
void SetCurrentShapeNr(GShape *s)
GShape* GetNextShape(const string *s, bool sens, bool substring, bool nameOnly)
void GetShapes(List<GShape *> *shapes, const string *s, bool sens, bool substring, bool nameOnly)
void CalcSizeElements(Point &topLeft, Point &bottomRight)
void CalcSizeSelection(Point &topLeft, Point &bottomRight)
void CalcSizeShapes(List<GShape *> *shapes, Point &topLeft, Point &bottomRight)
void AddShapeRaw(GShape *shape)
virtual void AddShape(GShape *shape)
void AddShapes(List<GShape *> *shapes)
void RemoveShapeRaw(GShape *shape)
virtual void RemoveShape(GShape *shape)
void RemoveShapes(List<GShape *> *shapes)
GShape* GetShape(Subject *subject)
void GetShapes(Subject *subject, List<GShape *> *shapes)
void MultipleLinesPosUpdate(Line *line)
void MultipleLines(Line *line)
void CompleteShapes(List<GShape *> *s, GShape *n1, GShape *n2)
void CompleteLines(List<GShape *> *shapes)
void CompleteShapes(List<GShape *> *shapes)
void DrawNames()
void ShowAll()

### Inherited from Thing:

### Public Classes

enum AssocType

### Public Methods

unsigned long GetId()
void SetId(unsigned long val)
virtual bool IsSubject() const
virtual bool IsShape() const
void Write(OutputFile *ofile)

## Documentation

> entity-relationship viewer class.

`ERView(ERViewer *v)`

`void PutValueTypesTemp()`

`void GetValueTypesTemp()`

`void GetNotIsaTemp()`

`void PutNotIsaTemp()`

This class has no child classes.

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de